<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto">
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="10dp"
        android:orientation="vertical"
        android:layout_gravity="center"
        android:gravity="center"
        android:animateLayoutChanges="true">

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            style="@style/TextTitle"
            android:textColor="@color/colorAccent"
            android:text="@string/app_name"/>

        <ImageView
            android:layout_width="70dp"
            android:layout_height="70dp"
            android:layout_marginBottom="30dp"
            android:src="@drawable/ic_add_a_photo"
            app:tint="@color/colorAccent"/>

        <TextView
            android:id="@+id/share_loading"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="30dp"
            android:gravity="center"
            android:text="@string/photouploading_in_progress"/>

        <ProgressBar
            android:id="@+id/share_progress_ind"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:indeterminate="true" />

        <ProgressBar
            android:id="@+id/share_progress_det"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            style="@android:style/Widget.DeviceDefault.ProgressBar.Horizontal"
            android:indeterminate="false"
            android:visibility="gone"/>

        <TextView
            android:id="@+id/share_complete"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:text="@string/photouploading_complete"
            android:drawableTop="@drawable/ic_done"
            android:drawableTint="@color/success"
            android:drawablePadding="10dp"
            android:visibility="gone"/>
    </LinearLayout>
</FrameLayout>